/*
 * data.c   V1.5
 *
 * global data
 *
 * (c) 1991 by Stefan Becker
 *
 */
#include "ToolManager.h"

/* Version string */
char MyIdent[]="$VER: " DEFPROGNAME " " TM_VERSION " (" TM_DATE ")";

/* Structures for icon */
static __chip UWORD ImageData[]={ /* Graphic data (48x48 Pixels) */
 0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
 0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,
 0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,
 0x3fff,0xffff,0xfffC,0x3fff,0xffff,0xfffC,0x3fff,0xffff,0xfffC,
 0x3fff,0xffff,0xfffC,0x3fff,0xffff,0xfffC,0x3fff,0xffff,0xfffC,
 0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,
 0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,
 0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000};
static struct Image MyIconImage={NULL,NULL,48,24,1,ImageData,1,0,NULL};
static struct DiskObject InternalIcon={NULL,NULL,
               /* Gadget definition */ {NULL,NULL,NULL,48,25,NULL,NULL,NULL,
                                        &MyIconImage,NULL,NULL,NULL,NULL,NULL,
                                        NULL},
                                       NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL};
struct DiskObject *MyIcon=&InternalIcon;
LONG IconXPos=NO_ICON_POSITION;
LONG IconYPos=NO_ICON_POSITION;
BOOL ShowIcon=TRUE;
char *IconName=NULL;
struct AppIcon *MyAppIcon=NULL;
struct AppMenuItem *OTWAppMenuItem=NULL;

/* Global startup currentdir */
BPTR StartupCD;

/* Global quit flag */
BOOL ShowQuitReq=TRUE; /* Show Requester if user tries to quit */
BOOL running=TRUE;

/* Structures for message port */
struct MsgPort *MyMP;

/* List for ToolNodes */
struct List ToolList; /* This list contains ToolNodes */
UWORD ToolCount=0;    /* Number of tools in ToolList */
ULONG wbactive=0;     /* Active WB tools */

/* Copyright note for banner & commodities */
UBYTE CopyrightNote[]="ToolManager V" TM_VERSION ",  " TM_CRYEAR " Stefan Becker";

/* Name of the message port & icon */
char MyName[]=DEFPROGNAME;

/* Configuration file stuff */
char InternalConfigName[]=DEFCONFIGNAME;
char *ConfigName=NULL;
BOOL ConfigChanged=FALSE;

/* Name of Workbench screen */
char WBScreenName[]="Workbench";

/* Structures for windows */
struct NewWindow nw={20,20,640,256,0,1,IDCMP_CLOSEWINDOW|IDCMP_REFRESHWINDOW|
                     IDCMP_GADGETUP|IDCMP_GADGETDOWN|IDCMP_MOUSEMOVE|
                     IDCMP_MOUSEBUTTONS|
                     IDCMP_MENUPICK|IDCMP_INTUITICKS,WFLG_DRAGBAR|
                     WFLG_DEPTHGADGET|WFLG_CLOSEGADGET|WFLG_SIMPLE_REFRESH|
                     WFLG_ACTIVATE,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0};
BOOL ShowStatusWindow=FALSE;
UWORD DockCount=0;
BOOL ShowDock=FALSE;
ULONG globalsigs=0;
ULONG statwinsig=0;
ULONG editwinsig=0;
ULONG hkeywinsig=0;
ULONG dockwinsig=0;

/* Structures for commodities stuff */
struct NewBroker nb={NB_VERSION,MyName,CopyrightNote,
                     "Add programs to the WB Tools menu",
                     NBU_UNIQUE,COF_SHOW_HIDE,0,NULL,0};
struct MsgPort *MyBrokerPort;
struct Broker *MyBroker;
char DefaultPopUpHotKey[]=DEFPOPUPHOTKEY;
char *PopUpHotKey=NULL;

/* Data for CLI tools */
char DefaultCLIOutputFile[]=
 "CON:0/0/640/150/" DEFPROGNAME " CLI Tool Output/INACTIVE/AUTO/WAIT/ALT";
char *CLIOutputFile=NULL;
char *GlobalPath=NULL;
